Holger's Java API

## com.antelmann.crm
Class SnailMailAddressBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.antelmann.crm.SnailMailAddressBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class SnailMailAddressBeanInfo

extends SimpleBeanInfo

allows to properly persist a `SnailMailAddress` through `XMLEncoder`

Since:
  05.05.2009, 13:47:45
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`SnailMailAddressBeanInfo()`

Method Summary
`PropertyDescriptor[]` `getPropertyDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnailMailAddressBeanInfo

    public SnailMailAddressBeanInfo()

Method Detail

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `SimpleBeanInfo`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads